@echo off
cls
echo *******************************************************************************
echo *  www.FrankSteinberg.de                                           24.03.2018 *
echo *                                                                             *
echo *           Automatischer UpLoader fuer eRpmMeter an Arduino UNO              *
echo *                                                                             *
echo * Ein Treiber fuer den USB-Seriell-Wandler des Arduino muss installiert sein! *
echo *******************************************************************************
echo.
echo Bitte sicherstellen, dass der Arduino noch *NICHT* verbunden ist!
echo.

pause
echo.
echo Jetzt Arduino an USB anschliessen!
echo.
echo warte auf USB ...  ( Abbruch mit Taste [Esc] )

SayNewComPort\SayNewComPort.exe /b
IF ERRORLEVEL 257 GOTO Terminated

echo.
echo ComPort gefunden: COM%ERRORLEVEL%
echo.

"AvrDude\avrdude.exe" -u -c Arduino -P com%ERRORLEVEL% -b 115200 -p ATmega328p -U flash:w:Firmware\eRpmMeter.hex:i
rem echo avrdude COM%ERRORLEVEL%
GOTO End

:Terminated
echo.
echo Durch Benutzer abgebrochen!
GOTO End

:End
echo.
echo Programm ENDE.
echo.
pause